package jp.co.jid.exBasic;

public class Human {
	private int age;
	private String name;
	private Sex sex;
	private Blood blood;
	private double height;
	private double weight;

	public Human(int age, String name, Sex sex, Blood blood, double height, double weight) {
		this.age = age;
		this.name = name;
		this.sex = sex;
		this.blood = blood;
		this.height = height;
		this.weight = weight;
	}

	public void speak() {
		System.out.println("・・・");
	}

	public void speak(String words) {
		System.out.println(words);
	}

	public void speak(String words, int count) {
		for (int i = 0; i < count; i++) {
			System.out.println(words);
		}
	}

	public int getAge() {
		return age;
	}

	public void setAge(int age) {
		this.age = age;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Sex getSex() {
		return sex;
	}

	public void setSex(Sex sex) {
		this.sex = sex;
	}

	public Blood getBlood() {
		return blood;
	}

	public void setBlood(Blood blood) {
		this.blood = blood;
	}

	public double getHeight() {
		return height;
	}

	public void setHeight(double height) {
		this.height = height;
	}

	public double getWeight() {
		return weight;
	}

	public void setWeight(double weight) {
		this.weight = weight;
	}
}
